/**********************************************************************

	Title :			Futuristic City Entry Point
	Filename :		main.c
	Author :		Thomas Szirtes
	Revision :		1.0

	Notes :			

	Copyright :		(C) SEGA Europe 1998

  **********************************************************************/


/*
 *		INCLUDES
 */

#include	"ftypes.h"

#ifdef		USING_SET4
#include	"shinobi.h"
#else
#include	"ninjawin.h"
#endif

#include	"future.h"


/*------------------------------------- FUNCTIONS --------------------------------------// */

void njUserInit(void)
{
#ifdef	USING_SET4
	sbInitSystem( NJD_RESOLUTION_VGA, NJD_FRAMEBUFFER_MODE_RGB565, 1 );
#else
	njInitSystem( NJD_RESOLUTION_VGA, NJD_FRAMEBUFFER_MODE_RGB565, 1 );
#endif
}



Sint32 njUserMain(void)
{

	if(FUTURE_ProcessFutureWorld()==TRUE)
		return NJD_USER_EXIT;
	else
		return NJD_USER_CONTINUE;

}


void njUserExit(void)
{
#ifdef	USING_SET4
	sbExitSystem();
#else
	njExitSystem();
#endif
}
 